;;
;;**********************************************************************
;; $Id: setup.iss 328 2015-01-06 07:05:46Z mkwayisi $
;; ---------------------------------------------------------------------
;; Authored by Michael Kwayisi. Copyright (c) 2014. See license below.
;; Comments are appreciated - mic at kwayisi dot org | www.kwayisi.org
;; ---------------------------------------------------------------------
;; Redistribution and use in source and binary forms, with or without
;; modification, are permitted provided that the following conditions
;; are stringently met:
;;  1. Redistributions of source code must retain the above copyright
;;     notice, this list of conditions, and the following disclaimer.
;;  2. Redistributions in binary form must reproduce the above
;;     copyright notice, this list of conditions, and the following
;;     disclaimer in the documentation and/or other materials provided
;;     with the distribution.
;;  3. The end-user documentation included with the redistribution,
;;     if any, must include the following acknowledgment:
;;       "This product includes software written by Michael Kwayisi."
;;     Alternately, this acknowledgment may appear in the software
;;     itself, if and wherever such 3rd-party acknowledgments appear.
;;  4. Neither the name of the software nor the name of its author
;;     and/or contributors may be used to endorse or promote products
;;     derived from this software without specific prior permission.
;;**********************************************************************
;;

#define AppExe			"abosen.exe"
#define AppName			"Abosen"
#define AppFullName		"Abosen Time Teller"
#define AppVersion		"0.1.1"
#define AppCompany		"MetaGhana"
#define AppPublisher	"MetaGhana Inc."
#define AppPublisherURL	"http://www.metaghana.com/"
#define AppSupportURL	"http://www.kwayisi.org/projects/abosen.html"
#define AppCopyright	"Copyright (c) 2013 Michael Kwayisi"

[Setup]
OutputDir = ..
OutputBaseFilename = "SETUP"
SolidCompression = Yes

AppName = {#AppFullName}
AppVersion = {#AppVersion}
AppVerName = "{#AppFullName} {#AppVersion}"
AppPublisher = {#AppPublisher}
AppPublisherURL = {#AppPublisherURL}
AppCopyright = {#AppCopyright}

DefaultDirName = {pf}\{#AppCompany}\{#AppName}
DefaultGroupName = {#AppFullName}
AllowNoIcons = Yes
LicenseFile = LICENSE.txt

;SetupIconFile=icon.ico
;WizardImageFile=..\res\Image.Wizard.bmp
;WizardSmallImageFile=..\res\Image.Icon.bmp

[Files]
Source: "..\obj\{#AppExe}"; DestDir: "{app}"; Flags: ignoreversion
Source: "..\obj\twi.dll"; DestDir: "{app}"; Flags: ignoreversion
Source: "LICENSE.txt"; DestDir: "{app}"; Flags: ignoreversion

[Tasks]
Name: "desktopicon"; \
	Description: "{cm:CreateDesktopIcon}";
Name: "quicklauchicon"; \
	Description: "{cm:CreateQuickLaunchIcon}";

[Icons]
Name: "{commondesktop}\{#AppName}"; \
	FileName: "{app}\{#AppExe}"; \
	Comment: "Launch {#AppFullName}"; \
	Tasks: "desktopicon";
Name: "{group}\{#AppFullName}";	\
	FileName: "{app}\{#AppExe}"; \
	Comment: "Launch {#AppFullName}";
Name: "{group}\{cm:UninstallProgram,{#AppFullName}}"; \
	FileName: "{uninstallexe}";
Name: "{group}\{cm:ProgramOnTheWeb,{#AppName}}"; \
	FileName: "{#AppSupportURL}"; \
	Comment: "Go to {#AppName}'s website"

[Run]
Filename: "{app}\{#AppExe}"; \
	Description: "{cm:LaunchProgram,{#AppFullName}}"; \
	Flags: postinstall nowait skipifsilent

[UninstallDelete]
Type: dirifempty; Name: "{pf}\{#AppCompany}\{#AppName}";
Type: files; Name: "{userappdata}\{#AppCompany}\{#AppName}\*";
Type: dirifempty; Name: "{userappdata}\{#AppCompany}\{#AppName}";
