/**
 ***********************************************************************
 * $Id: common.h 326 2015-01-05 17:53:59Z mkwayisi $
 * ---------------------------------------------------------------------
 * Authored by Michael Kwayisi. Copyright (c) 2014. See license below.
 * Comments are appreciated - mic at kwayisi dot org | www.kwayisi.org
 * ---------------------------------------------------------------------
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are stringently met:
 *  1. Redistributions of source code must retain the above copyright
 *     notice, this list of conditions, and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above
 *     copyright notice, this list of conditions, and the following
 *     disclaimer in the documentation and/or other materials provided
 *     with the distribution.
 *  3. The end-user documentation included with the redistribution,
 *     if any, must include the following acknowledgment:
 *       "This product includes software written by Michael Kwayisi."
 *     Alternately, this acknowledgment may appear in the software
 *     itself, if and wherever such 3rd-party acknowledgments appear.
 *  4. Neither the name of the software nor the name of its author
 *     and/or contributors may be used to endorse or promote products
 *     derived from this software without specific prior permission.
 ***********************************************************************
 */

#define IDC_LBL_HOUR		201
#define IDC_EDT_HOUR		202
#define IDC_UPD_HOUR		203
#define IDC_LBL_MINUTE		204
#define IDC_EDT_MINUTE		205
#define IDC_UPD_MINUTE		206
#define IDC_LBL_MERIDIAN	207
#define IDC_CBX_MERIDIAN	208

#define IDC_LBL_LANGUAGE	209
#define IDC_CBX_LANGUAGE	210
#define IDC_LBL_VOICE		211
#define IDC_CBX_VOICE		212

#define IDC_RBT_AUTOMATIC	213
#define IDC_GBX_AUTOMATIC	214
#define IDC_LBL_STARTTIME	215
#define IDC_EDT_STARTHOUR	216
#define IDC_UPD_STARTHOUR	217
#define IDC_EDT_STARTMINUTE	218
#define IDC_UPD_STARTMINUTE	219
#define IDC_CBX_STARTTIME	220
#define IDC_LBL_INTERVAL	221
#define IDC_EDT_INTERVAL	222
#define IDC_UPD_INTERVAL	223
#define IDC_CBX_INTERVAL	224

#define IDC_RBT_SCHEDULE	225
#define IDC_GBX_SCHEDULE	226
#define IDC_LBX_SCHEDULE	227
#define IDC_BTN_ADD			228
#define IDC_BTN_REMOVE		229

#define IDC_BTN_TELLTIME	230
#define IDC_BTN_SAVE		231
#define IDC_BTN_CLOSE		232
#define IDC_BTN_CANCEL		233

#define IDS_AM				301
#define IDS_PM				302
#define IDS_HOURS			303
#define IDS_MINUTES			304
#define IDS_PREFS			305
#define IDS_PREFSAVED		306
#define IDS_PREFNOTSAVED	307
#define IDS_ADDSCHEDULE		308
#define IDS_SCHEDEXISTS		309
#define IDS_SCHEDSAVED		310
#define IDS_SCHEDNOTSAVED	311
#define IDS_AUTOSTART		312
#define IDS_SILENT			313
#define IDS_EXIT			314
#define IDS_CONFIRMEXIT		315
#define IDS_NOTIMPLEMENTED	316

//==============================
// WAVE resources - Voice 1
//==============================
#define IDR_WAV_DING		 999

#define IDR_WAV_V1MINUTE0	1000
#define IDR_WAV_V1MINUTE1	1001
#define IDR_WAV_V1MINUTE2	1002
#define IDR_WAV_V1MINUTE3	1003
#define IDR_WAV_V1MINUTE4	1004
#define IDR_WAV_V1MINUTE5	1005
#define IDR_WAV_V1MINUTE6	1006
#define IDR_WAV_V1MINUTE7	1007
#define IDR_WAV_V1MINUTE8	1008
#define IDR_WAV_V1MINUTE9	1009

#define IDR_WAV_V1MINUTE10	1010
#define IDR_WAV_V1MINUTE11	1011
#define IDR_WAV_V1MINUTE12	1012
#define IDR_WAV_V1MINUTE13	1013
#define IDR_WAV_V1MINUTE14	1014
#define IDR_WAV_V1MINUTE15	1015
#define IDR_WAV_V1MINUTE16	1016
#define IDR_WAV_V1MINUTE17	1017
#define IDR_WAV_V1MINUTE18	1018
#define IDR_WAV_V1MINUTE19	1019

#define IDR_WAV_V1MINUTE20	1020
#define IDR_WAV_V1MINUTE21	1021
#define IDR_WAV_V1MINUTE22	1022
#define IDR_WAV_V1MINUTE23	1023
#define IDR_WAV_V1MINUTE24	1024
#define IDR_WAV_V1MINUTE25	1025
#define IDR_WAV_V1MINUTE26	1026
#define IDR_WAV_V1MINUTE27	1027
#define IDR_WAV_V1MINUTE28	1028
#define IDR_WAV_V1MINUTE29	1029

#define IDR_WAV_V1MINUTE30	1030
#define IDR_WAV_V1MINUTE31	1031
#define IDR_WAV_V1MINUTE32	1032
#define IDR_WAV_V1MINUTE33	1033
#define IDR_WAV_V1MINUTE34	1034
#define IDR_WAV_V1MINUTE35	1035
#define IDR_WAV_V1MINUTE36	1036
#define IDR_WAV_V1MINUTE37	1037
#define IDR_WAV_V1MINUTE38	1038
#define IDR_WAV_V1MINUTE39	1039

#define IDR_WAV_V1MINUTE40	1040
#define IDR_WAV_V1MINUTE41	1041
#define IDR_WAV_V1MINUTE42	1042
#define IDR_WAV_V1MINUTE43	1043
#define IDR_WAV_V1MINUTE44	1044
#define IDR_WAV_V1MINUTE45	1045
#define IDR_WAV_V1MINUTE46	1046
#define IDR_WAV_V1MINUTE47	1047
#define IDR_WAV_V1MINUTE48	1048
#define IDR_WAV_V1MINUTE49	1049

#define IDR_WAV_V1MINUTE50	1050
#define IDR_WAV_V1MINUTE51	1051
#define IDR_WAV_V1MINUTE52	1052
#define IDR_WAV_V1MINUTE53	1053
#define IDR_WAV_V1MINUTE54	1054
#define IDR_WAV_V1MINUTE55	1055
#define IDR_WAV_V1MINUTE56	1056
#define IDR_WAV_V1MINUTE57	1057
#define IDR_WAV_V1MINUTE58	1058
#define IDR_WAV_V1MINUTE59	1059

#define IDR_WAV_V1INTRO		1060
#define IDR_WAV_V1INTER		1061
#define IDR_WAV_V1AM		1062
#define IDR_WAV_V1PM		1063

#define IDR_WAV_V1HOUR1		1071
#define IDR_WAV_V1HOUR2		1072
#define IDR_WAV_V1HOUR3		1073
#define IDR_WAV_V1HOUR4		1074
#define IDR_WAV_V1HOUR5		1075
#define IDR_WAV_V1HOUR6		1076
#define IDR_WAV_V1HOUR7		1077
#define IDR_WAV_V1HOUR8		1078
#define IDR_WAV_V1HOUR9		1079
#define IDR_WAV_V1HOUR10	1080
#define IDR_WAV_V1HOUR11	1081
#define IDR_WAV_V1HOUR12	1082

// Resource struct
typedef struct _RESOURCE {
	PTCHAR pzLanguage;
	PTCHAR *paVoices;
	int nVoicesCount;
	PTCHAR pzActiveVoice;
	HINSTANCE hInstance;
	LPTHREAD_START_ROUTINE pfPlayTimeProc;
} RESOURCE, *PRESOURCE;
