/**
 ***********************************************************************
 * $Id: french.c 326 2015-01-05 17:53:59Z mkwayisi $
 * ---------------------------------------------------------------------
 * Authored by Michael Kwayisi. Copyright (c) 2014. See license below.
 * Comments are appreciated - mic at kwayisi dot org | www.kwayisi.org
 * ---------------------------------------------------------------------
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are stringently met:
 *  1. Redistributions of source code must retain the above copyright
 *     notice, this list of conditions, and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above
 *     copyright notice, this list of conditions, and the following
 *     disclaimer in the documentation and/or other materials provided
 *     with the distribution.
 *  3. The end-user documentation included with the redistribution,
 *     if any, must include the following acknowledgment:
 *       "This product includes software written by Michael Kwayisi."
 *     Alternately, this acknowledgment may appear in the software
 *     itself, if and wherever such 3rd-party acknowledgments appear.
 *  4. Neither the name of the software nor the name of its author
 *     and/or contributors may be used to endorse or promote products
 *     derived from this software without specific prior permission.
 ***********************************************************************
 */

#include <windows.h>
#include <tchar.h>
#include "../common.h"

PTCHAR g_aVoices[] = { TEXT("Toure"), TEXT("Didier"), TEXT("Nikita") };
PRESOURCE g_pResource = NULL;

//==[ CODE ]============================================================
// DllMain
__declspec(dllexport)
BOOL WINAPI DllMain(HINSTANCE hInstance, DWORD dwReason, LPVOID lpvReserved)
{
	return TRUE;
}

//==[ CODE ]============================================================
// PlayTime
DWORD WINAPI PlayTime(LPVOID lpVoid)
{
	TCHAR szBuffer[64];
	LoadString(g_pResource->hInstance,
		IDS_NOTIMPLEMENTED, szBuffer, sizeof(szBuffer) / sizeof(szBuffer[0]));
	MessageBox(NULL, szBuffer, g_pResource->pzLanguage,
		MB_OK | MB_ICONWARNING | MB_TASKMODAL | MB_TOPMOST);
	return 0;
}

//==[ CODE ]============================================================
// Initialize
__declspec(dllexport)
BOOL Initialize(PRESOURCE pResource)
{
	g_pResource = pResource;
	g_pResource->pzLanguage = TEXT("Fran\u00e7ais");
	g_pResource->pfPlayTimeProc = PlayTime;
	g_pResource->paVoices = g_aVoices;
	g_pResource->pzActiveVoice = g_aVoices[2];
	g_pResource->nVoicesCount = sizeof(g_aVoices) / sizeof(PTCHAR);
	return TRUE;
}
