/**
 ***********************************************************************
 * $Id: main.h 326 2015-01-05 17:53:59Z mkwayisi $
 * ---------------------------------------------------------------------
 * Authored by Michael Kwayisi. Copyright (c) 2014. See license below.
 * Comments are appreciated - mic at kwayisi dot org | www.kwayisi.org
 * ---------------------------------------------------------------------
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are stringently met:
 *  1. Redistributions of source code must retain the above copyright
 *     notice, this list of conditions, and the following disclaimer.
 *  2. Redistributions in binary form must reproduce the above
 *     copyright notice, this list of conditions, and the following
 *     disclaimer in the documentation and/or other materials provided
 *     with the distribution.
 *  3. The end-user documentation included with the redistribution,
 *     if any, must include the following acknowledgment:
 *       "This product includes software written by Michael Kwayisi."
 *     Alternately, this acknowledgment may appear in the software
 *     itself, if and wherever such 3rd-party acknowledgments appear.
 *  4. Neither the name of the software nor the name of its author
 *     and/or contributors may be used to endorse or promote products
 *     derived from this software without specific prior permission.
 ***********************************************************************
 */

#define IDI_MAIN			10
#define IDB_LOGO			11
#define IDR_SQLITEDB		12
#define IDD_SCHEDULE		13

#define IDR_NOTIFYMENU		14
#define IDM_PREFS			15
#define IDM_AUTOSTART		16
#define IDM_SILENT			17
#define IDM_EXIT			18

#define IDC_NOTIFYICON		19
#define IDT_TELLTIME		20
#define WM_NOTIFYICON		WM_APP + 1

// windres complains when the TEXT macro is used
// So we have to go the manual way :)
#ifdef UNICODE
#define STR_APPNAME			L"Abosen"
// Uncomment this if you want the "real" spelling
//#define STR_APPNAME		L"Ab\x0254s\x025bn"
#define STR_APPFULLNAME		STR_APPNAME L" Time Teller"
#define STR_APPVERSION		L"0.1.1"
#define STR_APPCOMPANY		L"MetaGhana"
#define STR_APPPUBLISHER	STR_APPCOMPANY L" Inc."
#define STR_APPCOPYRIGHT	L"Copyright (c) 2013 Michael Kwayisi"
#else
#define STR_APPNAME			"Abosen"
#define STR_APPFULLNAME		STR_APPNAME " Time Teller"
#define STR_APPVERSION		"0.1.1"
#define STR_APPCOMPANY		"MetaGhana"
#define STR_APPPUBLISHER	STR_APPCOMPANY " Inc."
#define STR_APPCOPYRIGHT	"Copyright (c) 2013 Michael Kwayisi"
#endif

#define STR_APPTITLE		STR_APPFULLNAME TEXT(" ") STR_APPVERSION
#define STR_SQLITEDB		TEXT("Sqlite3.db")

#define STR_NEWINSTALL		TEXT("Thank you for using ") STR_APPFULLNAME TEXT(".")
#define STR_WNDCLASS		TEXT("AbosenWindowClass")
#define STR_WNDCLASSERROR	TEXT("Registration of window class failed!")
#define STR_HWNDERROR		TEXT("Main window creation failed!")
#define STR_ICONERROR		TEXT("Creation of the notification icon failed!")
#define STR_MENUERROR		TEXT("Creation of notify icon menu failed!")

#define STR_MUTEX			TEXT("AbosenMutex")
#define STR_INITERROR		TEXT("System initialization failed!")
#define STR_RESDIR			TEXT(".")
#define STR_REGSUBKEY		TEXT("SOFTWARE\\Microsoft\\Windows\\CurrentVersion\\Run")
#define INT_FONT_SIZE		8
#define STR_FONT_FACE		TEXT("Tahoma")

#define COUNTOF(x)			(sizeof(x) / sizeof(x[0]))

// Application internal flags
#define APP_AUTOMATIC		0x00000001
#define APP_AUTOSTART		0x00000002
#define APP_SILENT			0x00000004

//==[ CODE ]============================================================
// SQLite wrapper for Unicode and ASCII
#ifdef _UNICODE
#define SQLiteOpen			sqlite3_open16
#define SQLitePrepare		sqlite3_prepare16_v2
#define SQLiteBindText		sqlite3_bind_text16
#define SQLiteColumnText	sqlite3_column_text16
#define SQLiteErrMsg		sqlite3_errmsg16
#else
#define SQLiteOpen			sqlite3_open
#define SQLitePrepare		sqlite3_prepare_v2
#define SQLiteBindText		sqlite3_bind_text
#define SQLiteColumnText	sqlite3_column_text
#define SQLiteErrMsg		sqlite3_errmsg
#endif
typedef sqlite3 * 			HSQLITE;
typedef sqlite3_stmt *		HSQLITESTMT;
#define SQLiteStep			sqlite3_step
#define SQLiteBindInt		sqlite3_bind_int
#define SQLiteColumnInt		sqlite3_column_int
#define SQLiteReset			sqlite3_reset
#define SQLiteFinalize		sqlite3_finalize
#define SQLiteClose			sqlite3_close

// Application-SQLite Constants
#define IDQ_LANGUAGE	1
#define IDQ_VOICE		2
#define IDQ_APPDATA		3
#define IDQ_APPFLAGS	4

BOOL Initialize(LPINT);
VOID LoadResourceDLLs(VOID);
typedef BOOL (*INIT_PROC)(PRESOURCE);

LRESULT CALLBACK WndProc(HWND, UINT, WPARAM, LPARAM);
BOOL CALLBACK SchedDlgProc(HWND, UINT, WPARAM, LPARAM);
BOOL CALLBACK AboutDlgProc(HWND, UINT, WPARAM, LPARAM);
VOID SetControlsText(HWND);
DWORD WINAPI PlayTimeFunc(LPVOID);
BOOL LoadSettings(VOID);
BOOL SaveSettings(VOID);
VOID ScheduleTime(HWND, DWORD, BOOL);
VOID SchedNextTimer(HWND);
DWORD WINAPI PlayTime(LPVOID);
